// modules are defined as an array
// [ module function, map of requires ]
//
// map of requires is short require name -> numeric require
//
// anything defined in a previous bundle is accessed via the
// orig method which is the require for previous bundles
parcelRequire = (function (modules, cache, entry, globalName) {
  // Save the require from previous bundle to this closure if any
  var previousRequire = typeof parcelRequire === 'function' && parcelRequire;
  var nodeRequire = typeof require === 'function' && require;

  function newRequire(name, jumped) {
    if (!cache[name]) {
      if (!modules[name]) {
        // if we cannot find the module within our internal map or
        // cache jump to the current global require ie. the last bundle
        // that was added to the page.
        var currentRequire = typeof parcelRequire === 'function' && parcelRequire;
        if (!jumped && currentRequire) {
          return currentRequire(name, true);
        }

        // If there are other bundles on this page the require from the
        // previous one is saved to 'previousRequire'. Repeat this as
        // many times as there are bundles until the module is found or
        // we exhaust the require chain.
        if (previousRequire) {
          return previousRequire(name, true);
        }

        // Try the node require function if it exists.
        if (nodeRequire && typeof name === 'string') {
          return nodeRequire(name);
        }

        var err = new Error('Cannot find module \'' + name + '\'');
        err.code = 'MODULE_NOT_FOUND';
        throw err;
      }

      localRequire.resolve = resolve;
      localRequire.cache = {};

      var module = cache[name] = new newRequire.Module(name);

      modules[name][0].call(module.exports, localRequire, module, module.exports, this);
    }

    return cache[name].exports;

    function localRequire(x){
      return newRequire(localRequire.resolve(x));
    }

    function resolve(x){
      return modules[name][1][x] || x;
    }
  }

  function Module(moduleName) {
    this.id = moduleName;
    this.bundle = newRequire;
    this.exports = {};
  }

  newRequire.isParcelRequire = true;
  newRequire.Module = Module;
  newRequire.modules = modules;
  newRequire.cache = cache;
  newRequire.parent = previousRequire;
  newRequire.register = function (id, exports) {
    modules[id] = [function (require, module) {
      module.exports = exports;
    }, {}];
  };

  var error;
  for (var i = 0; i < entry.length; i++) {
    try {
      newRequire(entry[i]);
    } catch (e) {
      // Save first error but execute all entries
      if (!error) {
        error = e;
      }
    }
  }

  if (entry.length) {
    // Expose entry point to Node, AMD or browser globals
    // Based on https://github.com/ForbesLindesay/umd/blob/master/template.js
    var mainExports = newRequire(entry[entry.length - 1]);

    // CommonJS
    if (typeof exports === "object" && typeof module !== "undefined") {
      module.exports = mainExports;

    // RequireJS
    } else if (typeof define === "function" && define.amd) {
     define(function () {
       return mainExports;
     });

    // <script>
    } else if (globalName) {
      this[globalName] = mainExports;
    }
  }

  // Override the current require with this new one
  parcelRequire = newRequire;

  if (error) {
    // throw error from earlier, _after updating parcelRequire_
    throw error;
  }

  return newRequire;
})({"GAJM":[function(require,module,exports) {
!function (i) {
  var c,
      e = '<svg><symbol id="i-awsome" viewBox="0 0 1024 1024"><path d="M320 928H160c-52.8 0-96-43.2-96-96V416c0-52.8 43.2-96 96-96h160c17.6 0 32 14.4 32 32v384c0 17.6-14.4 32-32 32s-32-14.4-32-32V384H160c-17.6 0-32 14.4-32 32v416c0 17.6 14.4 32 32 32h160c17.6 0 32 14.4 32 32s-14.4 32-32 32z m6.4-540.8c-4.8 0-11.2-1.6-16-4.8-16-9.6-20.8-28.8-11.2-43.2l136-235.2c14.4-25.6 38.4-44.8 68.8-52.8 27.2-6.4 57.6-3.2 83.2 12.8 25.6 14.4 44.8 38.4 52.8 68.8 8 28.8 3.2 59.2-11.2 84.8l-88 150.4c-9.6 16-28.8 20.8-43.2 11.2-16-9.6-20.8-28.8-11.2-43.2l88-152c6.4-11.2 8-24 4.8-36.8-3.2-12.8-11.2-22.4-22.4-28.8-22.4-12.8-52.8-4.8-65.6 17.6l-136 235.2c-8 11.2-17.6 16-28.8 16z m480 540.8H320c-17.6 0-32-14.4-32-32s14.4-32 32-32h486.4c16 0 30.4-12.8 32-28.8l49.6-416c1.6-9.6-1.6-17.6-8-25.6s-14.4-9.6-24-9.6H512c-17.6 0-32-14.4-32-32s14.4-32 32-32h344c27.2 0 52.8 11.2 72 32 17.6 20.8 27.2 48 24 75.2l-49.6 416c-6.4 48-46.4 84.8-96 84.8z"  ></path></symbol><symbol id="i-left" viewBox="0 0 1024 1024"><path d="M288.3 544.1c0.6 0.8 1.4 1.7 2.1 2.5l360.5 394.9c19.6 21.5 52.9 23 74.4 3.4 21.5-19.6 23-52.9 3.4-74.4L400.4 510.7 729 151.9c19.6-21.4 18.2-54.7-3.3-74.4-21.4-19.6-54.7-18.2-74.4 3.3L290.2 475.1c-18 19.6-18.3 49.1-1.9 69z"  ></path></symbol><symbol id="i-right" viewBox="0 0 1024 1024"><path d="M731.7 475.1L370.6 80.8c-19.7-21.5-53-22.9-74.4-3.3-21.5 19.7-22.9 53-3.3 74.4l328.6 358.8-328.3 359.8c-19.6 21.5-18.1 54.8 3.4 74.4 21.5 19.6 54.8 18.1 74.4-3.4l360.5-394.9c0.7-0.8 1.5-1.7 2.1-2.5 16.4-19.9 16.1-49.4-1.9-69z"  ></path></symbol><symbol id="i-setting" viewBox="0 0 1024 1024"><path d="M906.938 594.581l-47.738-27.56A354.235 354.235 0 0 0 863.5 512c0-17.482-1.304-34.978-3.886-52.259l47.323-27.322c14.689-8.481 25.196-22.174 29.587-38.558 4.39-16.384 2.137-33.497-6.344-48.185l-64-110.853c-11.309-19.586-32.393-31.754-55.021-31.754a63.535 63.535 0 0 0-31.721 8.513l-46.656 26.937c-28.258-22.797-60.084-41.239-93.781-54.345V130.5c0-35.014-28.486-63.5-63.5-63.5h-128c-35.014 0-63.5 28.486-63.5 63.5v54.074c-33.489 13.143-65.122 31.568-93.195 54.283l-47.242-27.275a63.532 63.532 0 0 0-31.72-8.513c-22.63 0-43.713 12.168-55.022 31.755l-64 110.851c-17.507 30.322-7.081 69.235 23.242 86.743l48.245 27.854A353.89 353.89 0 0 0 160.502 512c0 18.253 1.416 36.499 4.219 54.489l-48.657 28.093c-30.323 17.508-40.749 56.42-23.242 86.742l64 110.852c11.309 19.587 32.393 31.755 55.023 31.755a63.536 63.536 0 0 0 31.72-8.512l49.4-28.521c27.514 21.899 58.4 39.721 91.037 52.528V896.5c0 35.014 28.486 63.5 63.5 63.5h128c35.014 0 63.5-28.486 63.5-63.5v-56.674c32.843-12.771 63.932-30.599 91.624-52.574l48.813 28.199c9.645 5.568 20.612 8.549 31.719 8.549h0.004c22.627 0 43.711-12.203 55.021-31.789l63.999-110.887c8.481-14.689 10.734-31.802 6.345-48.186-4.393-16.383-14.901-30.076-29.589-38.557z m-31.318 55.243l-63.999 110.851c-0.036 0.063-0.147 0.256-0.461 0.256-0.057 0-0.106-0.006-0.223-0.073l-68.021-39.271a31.495 31.495 0 0 0-36.938 3.97c-30.914 28.099-68.215 49.496-107.868 61.879A31.5 31.5 0 0 0 576 817.504V896.5c0 0.275-0.225 0.5-0.5 0.5h-128a0.5 0.5 0 0 1-0.5-0.5v-79.322a31.501 31.501 0 0 0-22.011-30.037c-39.463-12.467-76.571-33.874-107.313-61.906a31.476 31.476 0 0 0-21.232-8.225 31.438 31.438 0 0 0-15.742 4.221l-68.639 39.628c-0.125 0.072-0.172 0.072-0.221 0.072-0.316 0-0.427-0.192-0.463-0.255l-64-110.852a0.502 0.502 0 0 1 0.183-0.684l68.017-39.269a31.5 31.5 0 0 0 14.98-34.199 290.537 290.537 0 0 1-0.522-124.944 31.5 31.5 0 0 0-15.039-33.935l-67.437-38.935a0.501 0.501 0 0 1-0.183-0.684l64-110.851c0.037-0.063 0.147-0.255 0.463-0.255 0.055 0 0.104 0.005 0.22 0.072l66.651 38.481a31.5 31.5 0 0 0 37.171-4.184c31.14-28.882 68.868-50.867 109.105-63.579a31.5 31.5 0 0 0 22.011-30.037V130.5a0.5 0.5 0 0 1 0.5-0.5h128a0.5 0.5 0 0 1 0.5 0.5v75.998a31.5 31.5 0 0 0 22.11 30.068c40.422 12.622 78.342 34.598 109.661 63.55a31.499 31.499 0 0 0 37.133 4.149l66.033-38.124c0.126-0.073 0.174-0.073 0.221-0.073 0.315 0 0.426 0.193 0.462 0.255l64.001 110.853c0.056 0.096 0.104 0.179 0.05 0.378-0.054 0.201-0.138 0.249-0.233 0.304l-66.549 38.422a31.499 31.499 0 0 0-15.027 33.987 290.46 290.46 0 0 1 6.639 61.732c0 21.617-2.409 43.195-7.16 64.134a31.5 31.5 0 0 0 14.969 34.251l67.13 38.757c0.096 0.056 0.179 0.104 0.232 0.303 0.054 0.201 0.006 0.284-0.051 0.38z"  ></path><path d="M512 352.5c-87.949 0-159.5 71.551-159.5 159.5 0 87.948 71.551 159.5 159.5 159.5 87.948 0 159.5-71.552 159.5-159.5 0-87.949-71.552-159.5-159.5-159.5z m0 256c-53.21 0-96.5-43.29-96.5-96.5s43.29-96.5 96.5-96.5 96.5 43.29 96.5 96.5-43.29 96.5-96.5 96.5z"  ></path></symbol><symbol id="i-download" viewBox="0 0 1024 1024"><path d="M512 846.933333a42.666667 42.666667 0 0 1-42.666667-42.666666v-640a42.666667 42.666667 0 1 1 85.333334 0v640a42.666667 42.666667 0 0 1-42.666667 42.666666z"  ></path><path d="M512 889.6a42.666667 42.666667 0 0 1-30.293333-12.8l-256-256a42.666667 42.666667 0 0 1 0-60.16 42.666667 42.666667 0 0 1 60.586666 0L512 786.346667l225.706667-225.706667a42.666667 42.666667 0 0 1 60.586666 0 42.666667 42.666667 0 0 1 0 60.16l-256 256a42.666667 42.666667 0 0 1-30.293333 12.8zM896 974.933333H128a42.666667 42.666667 0 0 1 0-85.333333h768a42.666667 42.666667 0 0 1 0 85.333333z"  ></path></symbol><symbol id="i-loading" viewBox="0 0 1024 1024"><path d="M512 42.666667c-25.6 0-42.666667 17.066667-42.666667 42.666666v170.666667c0 25.6 17.066667 42.666667 42.666667 42.666667s42.666667-17.066667 42.666667-42.666667V85.333333c0-25.6-17.066667-42.666667-42.666667-42.666666z m0 682.666666c-25.6 0-42.666667 17.066667-42.666667 42.666667v170.666667c0 25.6 17.066667 42.666667 42.666667 42.666666s42.666667-17.066667 42.666667-42.666666v-170.666667c0-25.6-17.066667-42.666667-42.666667-42.666667zM238.933333 179.2c-17.066667-17.066667-42.666667-12.8-59.733333 4.266667-17.066667 17.066667-17.066667 42.666667 0 59.733333L298.666667 362.666667c17.066667 17.066667 42.666667 17.066667 59.733333 4.266666 17.066667-17.066667 17.066667-42.666667 4.266667-59.733333l-4.266667-4.266667-119.466667-123.733333zM725.333333 661.333333c-17.066667-17.066667-42.666667-12.8-59.733333 4.266667-17.066667 17.066667-17.066667 42.666667 0 59.733333l119.466667 119.466667c17.066667 17.066667 42.666667 17.066667 59.733333 4.266667s17.066667-42.666667 4.266667-59.733334l-4.266667-4.266666-119.466667-123.733334zM298.666667 512c0-25.6-17.066667-42.666667-42.666667-42.666667H85.333333c-25.6 0-42.666667 17.066667-42.666666 42.666667s17.066667 42.666667 42.666666 42.666667h170.666667c25.6 0 42.666667-17.066667 42.666667-42.666667z m640-42.666667h-170.666667c-25.6 0-42.666667 17.066667-42.666667 42.666667s17.066667 42.666667 42.666667 42.666667h170.666667c25.6 0 42.666667-17.066667 42.666666-42.666667s-17.066667-42.666667-42.666666-42.666667zM302.933333 661.333333l-119.466666 119.466667c-17.066667 17.066667-17.066667 42.666667-4.266667 59.733333s42.666667 17.066667 59.733333 4.266667l4.266667-4.266667 119.466667-119.466666c17.066667-17.066667 17.066667-42.666667 4.266666-59.733334s-46.933333-17.066667-64 0z m388.266667-285.866666c12.8 0 21.333333-4.266667 29.866667-12.8l119.466666-119.466667c17.066667-17.066667 17.066667-42.666667 4.266667-59.733333-17.066667-17.066667-42.666667-17.066667-59.733333-4.266667l-4.266667 4.266667-119.466667 119.466666c-17.066667 17.066667-17.066667 42.666667 0 59.733334 8.533333 8.533333 21.333333 12.8 29.866667 12.8z"  ></path></symbol></svg>',
      t = (c = document.getElementsByTagName("script"))[c.length - 1].getAttribute("data-injectcss");

  if (t && !i.__iconfont__svg__cssinject__) {
    i.__iconfont__svg__cssinject__ = !0;

    try {
      document.write("<style>.svgfont {display: inline-block;width: 1em;height: 1em;fill: currentColor;vertical-align: -0.1em;font-size:16px;}</style>");
    } catch (c) {
      console && console.log(c);
    }
  }

  !function (c) {
    if (document.addEventListener) {
      if (~["complete", "loaded", "interactive"].indexOf(document.readyState)) setTimeout(c, 0);else {
        var t = function t() {
          document.removeEventListener("DOMContentLoaded", t, !1), c();
        };

        document.addEventListener("DOMContentLoaded", t, !1);
      }
    } else document.attachEvent && (l = c, a = i.document, n = !1, (_o = function o() {
      try {
        a.documentElement.doScroll("left");
      } catch (c) {
        return void setTimeout(_o, 50);
      }

      e();
    })(), a.onreadystatechange = function () {
      "complete" == a.readyState && (a.onreadystatechange = null, e());
    });

    function e() {
      n || (n = !0, l());
    }

    var l, a, n, _o;
  }(function () {
    var c, t;
    (c = document.createElement("div")).innerHTML = e, e = null, (t = c.getElementsByTagName("svg")[0]) && (t.setAttribute("aria-hidden", "true"), t.style.position = "absolute", t.style.width = 0, t.style.height = 0, t.style.overflow = "hidden", function (c, t) {
      t.firstChild ? function (c, t) {
        t.parentNode.insertBefore(c, t);
      }(c, t.firstChild) : t.appendChild(c);
    }(t, document.body));
  });
}(window);
},{}],"wFXB":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("./svg");

//
//
//
//
//
var _default = {
  props: ['name']
};
exports.default = _default;
        var $ded322 = exports.default || module.exports;
      
      if (typeof $ded322 === 'function') {
        $ded322 = $ded322.options;
      }
    
        /* template */
        Object.assign($ded322, (function () {
          var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('svg',{staticClass:"tk-icon"},[_c('use',{attrs:{"xlink:href":("#i-" + _vm.name)}})])}
var staticRenderFns = []

          return {
            render: render,
            staticRenderFns: staticRenderFns,
            _compiled: true,
            _scopeId: null,
            functional: undefined
          };
        })());
      
},{"./svg":"GAJM"}],"iM1m":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _icon = _interopRequireDefault(require("./icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
var _default = {
  components: {
    'tk-icon': _icon.default
  },
  props: {
    icon: {},
    loading: {
      type: Boolean,
      default: false
    },
    iconPosition: {
      type: String,
      default: 'left',
      validator: function validator(value) {
        // 属性检查器
        return value === 'right' || value === 'left';
      }
    }
  }
};
exports.default = _default;
        var $1e6f6e = exports.default || module.exports;
      
      if (typeof $1e6f6e === 'function') {
        $1e6f6e = $1e6f6e.options;
      }
    
        /* template */
        Object.assign($1e6f6e, (function () {
          var render = function () {
var _obj;
var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('button',{staticClass:"tk-button",class:( _obj = {}, _obj[("icon-" + _vm.iconPosition)] = true, _obj ),on:{"click":function($event){return _vm.$emit('click')}}},[(_vm.icon && !_vm.loading)?_c('tk-icon',{staticClass:"icon",attrs:{"name":_vm.icon}}):_vm._e(),_vm._v(" "),(_vm.loading)?_c('tk-icon',{staticClass:"loading icon",attrs:{"name":"loading"}}):_vm._e(),_vm._v(" "),_c('div',{staticClass:"content"},[_vm._t("default")],2)],1)}
var staticRenderFns = []

          return {
            render: render,
            staticRenderFns: staticRenderFns,
            _compiled: true,
            _scopeId: null,
            functional: undefined
          };
        })());
      
},{"./icon":"wFXB"}],"aX9y":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
//
//
//
//
//
var _default = {};
exports.default = _default;
        var $0ec62f = exports.default || module.exports;
      
      if (typeof $0ec62f === 'function') {
        $0ec62f = $0ec62f.options;
      }
    
        /* template */
        Object.assign($0ec62f, (function () {
          var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"tk-button-group"},[_vm._t("default")],2)}
var staticRenderFns = []

          return {
            render: render,
            staticRenderFns: staticRenderFns,
            _compiled: true,
            _scopeId: null,
            functional: undefined
          };
        })());
      
},{}],"Focm":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Button", {
  enumerable: true,
  get: function () {
    return _button.default;
  }
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function () {
    return _icon.default;
  }
});
Object.defineProperty(exports, "ButtonGroup", {
  enumerable: true,
  get: function () {
    return _buttonGroup.default;
  }
});

var _button = _interopRequireDefault(require("./src/button.vue"));

var _icon = _interopRequireDefault(require("./src/icon.vue"));

var _buttonGroup = _interopRequireDefault(require("./src/buttonGroup.vue"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
},{"./src/button.vue":"iM1m","./src/icon.vue":"wFXB","./src/buttonGroup.vue":"aX9y"}]},{},["Focm"], null)
//# sourceMappingURL=/index.js.map